const WIREMOCK_OS_PLACES_BASE_URL = process.env.OS_PLACES_URI
  ? `${process.env.OS_PLACES_URI}/__admin`
  : "http://localhost:8300/__admin";
const WIREMOCK_OS_PLACES_MAPPING_URL = `${WIREMOCK_OS_PLACES_BASE_URL}/mappings`;
const WIREMOCK_OS_PLACES_FIND_REQUESTS_URL = `${WIREMOCK_OS_PLACES_BASE_URL}/requests/find`;

const WIREMOCK_SEARCH_BASE_URL = process.env.SEARCH_SERVICE_URL
  ? `${process.env.SEARCH_SERVICE_URL}/__admin`
  : "http://localhost:8400/__admin";
const WIREMOCK_SEARCH_MAPPING_URL = `${WIREMOCK_SEARCH_BASE_URL}/mappings`;
const WIREMOCK_SEARCH_FIND_REQUESTS_URL = `${WIREMOCK_SEARCH_BASE_URL}/requests/find`;

const WIREMOCK_ISSUE_CERTIFICATE_BASE_URL = process.env
  .ISSUE_CERTIFICATE_API_URI
  ? `${process.env.ISSUE_CERTIFICATE_API_URI}/__admin`
  : "http://localhost:8500/__admin";
const WIREMOCK_ISSUE_CERTIFICATE_MAPPING_URL = `${WIREMOCK_ISSUE_CERTIFICATE_BASE_URL}/mappings`;
const WIREMOCK_ISSUE_CERTIFICATE_FIND_REQUESTS_URL = `${WIREMOCK_ISSUE_CERTIFICATE_BASE_URL}/requests/find`;

const WIREMOCK_PAYMENT_BASE_URL = process.env.PAYMENT_API_URI
  ? `${process.env.PAYMENT_API_URI}/__admin`
  : "http://localhost:8110/__admin";
const WIREMOCK_PAYMENT_MAPPING_URL = `${WIREMOCK_PAYMENT_BASE_URL}/mappings`;
const WIREMOCK_PAYMENT_FIND_REQUESTS_URL = `${WIREMOCK_PAYMENT_BASE_URL}/requests/find`;

const WIREMOCK_CPS_BASE_URL = `http://localhost:8302/__admin`;
const WIREMOCK_CPS_MAPPING_URL = `${WIREMOCK_CPS_BASE_URL}/mappings`;
const WIREMOCK_CPS_FIND_REQUESTS_URL = `${WIREMOCK_CPS_BASE_URL}/requests/find`;

const WIREMOCK_GOOGLE_ANALYTICS_MAPPING_URL = WIREMOCK_OS_PLACES_MAPPING_URL;

export {
  WIREMOCK_SEARCH_MAPPING_URL,
  WIREMOCK_SEARCH_FIND_REQUESTS_URL,
  WIREMOCK_OS_PLACES_MAPPING_URL,
  WIREMOCK_OS_PLACES_FIND_REQUESTS_URL,
  WIREMOCK_GOOGLE_ANALYTICS_MAPPING_URL,
  WIREMOCK_ISSUE_CERTIFICATE_MAPPING_URL,
  WIREMOCK_ISSUE_CERTIFICATE_FIND_REQUESTS_URL,
  WIREMOCK_PAYMENT_MAPPING_URL,
  WIREMOCK_PAYMENT_FIND_REQUESTS_URL,
  WIREMOCK_CPS_MAPPING_URL,
  WIREMOCK_CPS_FIND_REQUESTS_URL,
};
